Bug 50886 - netmask should default to /24 regardless of IP class
Summary: netmask should default to /24 regardless of IP class
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-04 14:31 UTC by Matthew Miller
Modified: 2007-04-18 16:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-03 21:59:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Miller 2001-08-04 14:31:09 UTC
Anaconda assumes that if a given static IP address is in the old Class A or
Class B range that the netmask should be 255.0.0.0 or 255.255.0.0
(respectively). In this day and age, I think this is incorrect. The vast
majority of users with addresses in these blocks don't have a Class B at
all, but rather a Class C-sized chunk. And I'm almost certain no one has a
flat Class A network anymore. So, no matter what the IP address is, the
netmask field should be filled out with 255.255.255.0 by default.


Bonus -- making this change involves removing code from anaconda, not
adding anything. :)

Comment 1 Brent Fox 2001-08-06 16:30:05 UTC
Deferring to next release.  We're considering critical fixes at this point.

Comment 2 Jeremy Katz 2002-03-05 23:32:54 UTC
Fixed in CVS

Comment 3 Jay Turner 2002-04-03 16:21:54 UTC
OK, maybe I'm just stupid, but I'm not seeing this change in the latest beta
trees.  If I enter "172.16.56.90" for the static IP, the netmask is defaulting
to 255.255.0.0 . . . doesn't seem right in light of this bug report.

Comment 4 Jeremy Katz 2002-04-03 17:10:15 UTC
Jay -- I'm seeing it work as planned with the trees I'm running off of...  I
enter 172.16.5.9 (or some other bogus IP... I never remember which one my test
box gets :) and it defaults the netmask to 255.255.255.0 both in gui and tui. 
Where are you seeing it not work?

Comment 5 Jay Turner 2002-04-03 17:40:05 UTC
Not seeing it work with the Skipjack-0403.0 tree.

Comment 6 Jeremy Katz 2002-04-03 21:58:59 UTC
Now that Jay has thoroughly beat me upside the head.  Fixed the loader too :)

Comment 7 Jay Turner 2002-04-04 20:46:40 UTC
Loader confirmed fixed in the 4/4/2002 katzj tree.


Note You need to log in before you can comment on or make changes to this bug.